cURL
curl --request POST \ --url https://public-api-v2.bags.fm/api/v1/fee-share/admin/transfer-tx \ --header 'Content-Type: application/json' \ --header 'x-api-key: <api-key>' \ --data ' { "baseMint": "<string>", "currentAdmin": "<string>", "newAdmin": "<string>", "payer": "<string>" } '
{ "success": true, "response": { "blockhash": { "blockhash": "<string>", "lastValidBlockHeight": 123 }, "transaction": "<string>" } }
Creates a transaction to transfer fee share admin authority from the current admin to a new admin for a given token.
API key authentication. Provide your API key as the header value.
Public key of the base mint
Public key of the current fee share admin
Public key of the new fee share admin
Public key of the payer wallet
Successfully created admin transfer transaction
true
Show child attributes